cppcms::json Namespace Reference

This namespace includes all JSON parsing and formatting related classes and functions. More...

## Classes

struct | null
| Special object that is convertible to null json value. More...
struct | undefined
| Special object that is convertible to undefined json value. More...
struct | traits
| The type traits schema for converting json values to/from orinary objects i.e. serialization from JSON to C++ object. More...
class | bad_value_cast
| The error that is thrown in case of bad conversion of json::value to ordinary value. More...
class | value
| This class is central representation of json objects. More...

## Typedefs

typedef std::vector< value > | array
| The json::array - std::vector of json::value's.
typedef std::map< string_key, value > | object
| The json::object - std::map of json::value's.

## Enumerations

enum | json_type { is_undefined, is_null, is_boolean, is_number, is_string, is_object, is_array }
enum | { compact = 0, readable = 1 }

## Functions

bool | operator== (undefined const &, undefined const &)
bool | operator!= (undefined const &, undefined const &)
bool | operator== (null const &, null const &)
bool | operator!= (null const &, null const &)
std::istream CPPCMS_API & | operator>> (std::istream &in, value &v)
std::ostream CPPCMS_API & | operator<< (std::ostream &out, value const &v)
std::ostream CPPCMS_API & | operator<< (std::ostream &out, json_type)

## Detailed Description

This namespace includes all JSON parsing and formatting related classes and functions.

## Enumeration Type Documentation

anonymous enum

Enumerator
compact | Print JSON values in most compact format.
readable | Print JSON values in human readable format (with identention)

enum cppcms::json::json_type

The type of json value

Enumerator
is_undefined | Undefined value.
is_null | null value
is_boolean | boolean value
is_number | numeric value
is_string | string value
is_object | object value
is_array | array value

## Function Documentation

std::ostream CPPCMS_API& cppcms::json::operator<< | ( | std::ostream & | out,
|  | value const & | v
| ) |  |

Write json object to output stream

std::ostream CPPCMS_API& cppcms::json::operator<< | ( | std::ostream & | out,
|  | json_type |
| ) |  |

Write human readable representation of json_type

std::istream CPPCMS_API& cppcms::json::operator>> | ( | std::istream & | in,
|  | value & | v
| ) |  |

Read json object from input stream